EDIT - feature request #6155

hide the empty higherClassification property from the taxon object serialization

10/21/2016 01:42 PM - Andreas Kohlbecker

Status: Closed

Priority: New

Assignee: Andreas Kohlbecker
Category: utis

Target version:

Severity: normal

Start date:

Due date:

% Done: 0%
Estimated time: 0:00 hour

Description

NOTE: This issue has been imported from bitbucket (issue 17). All timestamps have been reset during the import.

add @Jsonlinclude(Include.NON_NULL) as type level annotation

see http://stackoverflow.com/questions/16089651/jackson-serialization-ignore-empty-values-or-null#16089705

Associated revisions

Revision 9b52adf5 - 10/19/2016 04:31 PM - Andreas Kohlbecker

solving #17 and preparing #16 \n - #17 hide the empty higherClassification property from the taxon object serialization\n

of the parentTaxon into the search responses

History

- #16 optional inclusion

#1 - 10/21/2016 01:43 PM - Andreas Kohlbecker

- Status changed from New to Closed

implemented and tested

#2 - 07/23/2019 04:30 PM - Andreas Kohlbecker

- Category set to utis

#3 - 02/25/2022 05:16 PM - Andreas Miiller
- Project changed from UTIS to EDIT
- Category changed from utis to utis

- Severity set to normal
